﻿using System;
using System.Collections.Generic;
using System.Text;

    public class PaltalkHelper
    {
        private TwzPaltalkClass _paltalkService;
        private string _currentRoomOrPmName = "";

        public PaltalkHelper()
        {
            //if (this._paltalkAPI == null)
            //{
            //    this._paltalkAPI = new TwzPaltalkClass("");
            //}
        }

        /// <summary>
        /// Get all room and pm window names
        /// </summary>
        /// <returns></returns>
        public string[] getAllRoomsAndPms()
        {
            // Confusing static method ... hmm... but okay for now
            TwzPaltalkClass.refreshRooms();
            return TwzPaltalkClass.getRooms();
        }

        public void sendTextToRoomOrPm(string roomOrPmName, string text)
        {
            this.getPaltalkService(roomOrPmName).postTextToTheRoom(text);
        }


        #region Patalk Service

        private TwzPaltalkClass getPaltalkService(string roomOrPMName)
        {
            if (roomOrPMName != this._currentRoomOrPmName)
            {
                this._paltalkService = null;
                this._currentRoomOrPmName = roomOrPMName;
            }

            if (this._paltalkService == null)
            {
                this._paltalkService = new TwzPaltalkClass(this._currentRoomOrPmName);
            }
            return this._paltalkService;
        }

        #endregion

    }
